/**
 * Copyright (c) 2008-2012 EBMWebsourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework;

import org.ow2.easywsdl.extensions.wsdl4complexwsdl.api.Description;
import org.ow2.easywsdl.wsdl.api.WSDLException;
import org.ow2.petals.component.framework.api.Wsdl;
import org.ow2.petals.component.framework.util.WSDLUtilImpl;
import org.w3c.dom.Document;

/**
 * @author Frederic Gardes - EBM WebSourcing
 */
public class ComponentWsdl implements Wsdl {

    private Description description = null;
    private Document document = null;

    public ComponentWsdl(final Description description) throws WSDLException {
        super();
        this.description = description;
        this.document = WSDLUtilImpl.convertDescriptionToDocument(this.description);
    }

    /* (non-Javadoc)
     * @see org.ow2.petals.component.framework.Wsdl#getDescription()
     */
    public Description getDescription() {
        return this.description;
    }

    /* (non-Javadoc)
     * @see org.ow2.petals.component.framework.Wsdl#getDocument()
     */
    public Document getDocument() {
        return this.document;
    }

}
