/**
 * Copyright (c) 2008-2010 Capgemini, 2008-2012 EBMWebsourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.constants;

/**
 * SOAP Fault Code Constants for the Message Exchange Patterns.
 * @author Christophe DENEUX - Capgemini Sud
 */
public enum SoapFaultCode {
    VERSION_MISMATCH("VersionMismatch"),
    MUST_UNDERSTAND("MustUnderstand"),
    DATA_ENCODING_UNKNOWN("DataEncodingUnknown"),
    SENDER("Sender"),
    RECEIVER("Receiver"),
    CLIENT("Client"),
    SERVER("Server");


    private final String value;

    /**
     * Creates a new instance of {@link FeatureConstants}
     * 
     * @param value
     */
    private SoapFaultCode(final String value) {
        this.value = value;
    }

    /**
     * 
     * @return
     */
    public String value() {
        return this.value;
    }
}
