/**
 * Copyright (c) 2012 EBMWebsourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.logger;

import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_EXCHANGE_PROPERTY_NAME;

import javax.jbi.messaging.MessageExchange;

import org.ow2.petals.commons.log.TraceCode;

/**
 * @author Christophe DENEUX - Linagora
 */
public abstract class AbstractProviderFlowLogData extends AbstractFlowLogData {

    private static final long serialVersionUID = -5228538138450112898L;

    public AbstractProviderFlowLogData(final TraceCode traceCode, final String flowInstanceId, final String flowStepId,
            final MessageExchange exchange) {
        super(traceCode, flowInstanceId, flowStepId);
        putData(FLOW_EXCHANGE_PROPERTY_NAME, exchange);
    }
}
