/**
 * Copyright (c) 2011-2012 EBMWebsourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.logger;

import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_PREVIOUS_STEP_ID_PROPERTY_NAME;
import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_STEP_ENDPOINT_NAME_PROPERTY_NAME;
import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_STEP_INTERFACE_NAME_PROPERTY_NAME;
import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_STEP_OPERATION_NAME_PROPERTY_NAME;
import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_STEP_SERVICE_NAME_PROPERTY_NAME;

import javax.jbi.messaging.MessageExchange;

import org.ow2.petals.commons.log.TraceCode;

/**
 * @author Nicolas Oddoux - EBM WebSourcing
 */
public class ProvideFlowStepBeginLogData extends AbstractProviderFlowLogData {

    private static final long serialVersionUID = -874146283132129163L;

    public ProvideFlowStepBeginLogData(String flowInstanceId, String flowStepId,
            String flowStepInterfaceName, String flowStepServiceName, String flowStepOperationName,
            String flowStepEndpointName, String flowPreviousStepId, final MessageExchange exchange) {
        super(TraceCode.PROVIDE_FLOW_STEP_BEGIN, flowInstanceId, flowStepId, exchange);
        putData(FLOW_STEP_INTERFACE_NAME_PROPERTY_NAME, flowStepInterfaceName);
        putData(FLOW_STEP_SERVICE_NAME_PROPERTY_NAME, flowStepServiceName);
        putData(FLOW_STEP_OPERATION_NAME_PROPERTY_NAME, flowStepOperationName);
        putData(FLOW_STEP_ENDPOINT_NAME_PROPERTY_NAME, flowStepEndpointName);
        putData(FLOW_PREVIOUS_STEP_ID_PROPERTY_NAME, flowPreviousStepId);
    }
}
