/**
 * Copyright (c) 2008-2012 EBMWebsourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.mbean;

import javax.management.MBeanException;

/**
 * Interceptor Manager interface.
 * @author Christophe Hamerling - EBM WebSourcing
 */
public interface InterceptorManagerMBean {

    /**
     * Load an interceptor available in the component classloader. The new
     * interceptor is unactivate by default.
     * 
     * @param className
     * @param interceptorName
     */
    void addInterceptor(String className, String interceptorName) throws MBeanException;

    /**
     * Engage a component interceptor to all the running consumers and
     * providers.
     * 
     * @param interceptorName
     */
    public void engageInterceptor(String interceptorName) throws MBeanException;

}
