/**
 * Copyright (c) 2005-2012 EBMWebsourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.util;

import java.net.URL;
import java.net.URLClassLoader;
import java.security.PrivilegedAction;

/**
 * @author Frederic Gardes - EBM WebSourcing
 */
public class ComponentPrivilegedAction implements PrivilegedAction<URLClassLoader> {

    private URL[] urls = null;
    private ClassLoader parent = null;

    public ComponentPrivilegedAction(final String rootPath, final ClassLoader parent) {
        super();
        this.urls = ClassLoaderUtil.getUrls(rootPath);
        this.parent = parent;
    }

    /*
     * (non-Javadoc)
     * @see java.security.PrivilegedAction#run()
     */
    public URLClassLoader run() {
        return new URLClassLoader(this.urls, this.parent);
    }
}
