/**
 * Copyright (c) 2006-2012 EBMWebsourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.util;

import java.util.Set;

import javax.activation.DataHandler;
import javax.jbi.messaging.MessagingException;
import javax.jbi.messaging.NormalizedMessage;

/**
 * Utilities for normalized message manipulation.
 * 
 * @author Adrien LOUIS - EBM WebSourcing
 * @author Christophe Hamerling - EBM WebSourcing
 */
public class NormalizedMessageUtil {

    /**
     * Copy the attachments from source to destination
     * 
     * @param from
     * @param to
     * @throws MessagingException
     */
    public static void copyAttachments(final NormalizedMessage from, final NormalizedMessage to)
            throws MessagingException {
        final Set<?> attachmentIds = from.getAttachmentNames();
        for (final Object id : attachmentIds) {
            final String attachName = (String) id;
            final DataHandler dh = from.getAttachment(attachName);
            to.addAttachment(attachName, dh);
        }
    }
}
