/**
 * Copyright (c) 2011-2012 EBMWebsourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.logger;

import static org.junit.Assert.assertEquals;
import static org.ow2.petals.commons.log.PetalsExecutionContext.FLOW_EXCHANGE_PROPERTY_NAME;

import java.util.Map;

import org.junit.Test;
import org.ow2.petals.commons.log.TraceCode;

/**
 * @author Mathieu Carrolle - EBM WebSourcing
 */
public class AbstractProviderFlowLogDataTest extends AbstractFlowLogDataTest {

    @Test
    public void testConstructor() {
        TraceCode traceCode = TraceCode.PROVIDE_FLOW_STEP_BEGIN;
        AbstractFlowLogData logData = new AbstractProviderFlowLogData(traceCode,
                TEST_FLOW_INSTANCE_ID, TEST_FLOW_STEP_ID, null) {
        };

        Map<String, Object> expectedLogData = createExpectedLogData(traceCode);
        assertEquals(expectedLogData, logData);
    }

    protected Map<String, Object> createExpectedLogData(TraceCode traceCode) {
        final Map<String, Object> expectedLogData = super.createExpectedLogData(traceCode);
        expectedLogData.put(FLOW_EXCHANGE_PROPERTY_NAME, null);
        return expectedLogData;
    }
}
