/**
 * Copyright (c) 2009-2012 EBMWebsourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.util;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import org.junit.Test;
import org.ow2.petals.component.framework.api.Constants;
import org.w3c.dom.DocumentFragment;

/**
 * @author Christoiphe Hamerling - EBM WebSourcing
 */
public class WSAHelperTest {

    private static final String ADDRESS = "http://example.org/WebService";

    /**
     * 
     * @throws Exception
     */
    @Test
    public void testCreateWSATo() throws Exception {
        DocumentFragment df = WSAHelper.getToFragment(ADDRESS);
        assertNotNull(df.getFirstChild());
        assertEquals(df.getFirstChild().getLocalName(),
                Constants.WSStar.Addressing.TO_QNAME.getLocalPart());
        assertEquals(ADDRESS, df.getFirstChild().getTextContent());
    }

    /**
     * 
     * @throws Exception
     */
    @Test
    public void testCreateWSAReplyTo() throws Exception {
        DocumentFragment df = WSAHelper.getReplyToFragment(ADDRESS);
        assertNotNull(df.getFirstChild());
        assertEquals(df.getFirstChild().getLocalName(),
                Constants.WSStar.Addressing.REPLY_TO_QNAME.getLocalPart());
        assertEquals(df.getFirstChild().getFirstChild().getLocalName(),
                Constants.WSStar.Addressing.ADDRESS_QNAME.getLocalPart());
        assertEquals(ADDRESS, df.getFirstChild().getTextContent());
    }
}
